Package be.ehealth.businessconnector.mycarenet.memberdataasync.session.impl.regional

# Class MemberDataWalCareNetService

java.lang.Object
be.ehealth.businessconnector.genericasync.helper.DefaultCommonAsyncService
be.ehealth.businessconnector.mycarenet.memberdataasync.session.impl.regional.MemberDataWalCareNetService

All Implemented Interfaces:
  `CommonAsyncService`, `MemberDataService`

public class MemberDataWalCareNetService extends DefaultCommonAsyncService implements MemberDataService

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MemberDataWalCareNetService()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ProcessedGetResponse<byte[]>`
  `getMDAXml(GetRequest request)`
  `ProcessedPostResponse`
  `postEncryptedMDAXml(byte[] records, InputReference inputReference)`
  `ProcessedPostResponse`
  `postMDAXml(byte[] records, InputReference inputReference)`

  ### Methods inherited from class be.ehealth.businessconnector.genericasync.helper.DefaultCommonAsyncService

  `confirmAll, confirmAllMessages, confirmAllTAcks, confirmMessage, confirmTAck, validateXadesTWithManifest`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface be.ehealth.businessconnector.genericasync.helper.CommonAsyncService

  `confirmAll, confirmAllMessages, confirmAllTAcks, confirmMessage, confirmTAck, validateXadesTWithManifest`

- ## Constructor Details

  - ### MemberDataWalCareNetService

    public MemberDataWalCareNetService()

- ## Method Details

  - ### getMDAXml

    public ProcessedGetResponse<byte[]> getMDAXml(GetRequest request) throws ConnectorException
    Specified by:
      `getMDAXml` in interface `MemberDataService`
    Throws:
      `ConnectorException`

  - ### postMDAXml

    public ProcessedPostResponse postMDAXml(byte[] records, InputReference inputReference) throws ConnectorException
    Specified by:
      `postMDAXml` in interface `MemberDataService`
    Throws:
      `ConnectorException`

  - ### postEncryptedMDAXml

    public ProcessedPostResponse postEncryptedMDAXml(byte[] records, InputReference inputReference) throws ConnectorException
    Specified by:
      `postEncryptedMDAXml` in interface `MemberDataService`
    Throws:
      `ConnectorException`